var JsonRpcMethod = require('./JsonRpcMethod.js').JsonRpcMethod;
var Event = require('../event/Event.js').Event;

var HealthCheckMethod = exports.HealthCheckMethod = function () {
    JsonRpcMethod.call(this);
};

HealthCheckMethod.prototype = Object.create(JsonRpcMethod.prototype);

HealthCheckMethod.prototype.execute = function () {
    this.dispatchEvent(new Event(JsonRpcMethod.Event.OK, 'OK'));
};
